/*
    JV Library
    Copyright (C) 2014  Jouko Juhani Virtanen

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef _ReadPsf_include_
#define _ReadPsf_include_
# include "AssignAtomIDs.h"
# include "AtomCode.h"
# include "GetAtomType.h"
# include "GetAtomType2.h"
# include "ReadPdb.h"
# include "ResidueCode.h"
# include "ResidueID.h"
# include "Structures.h"
# include "StringUtils.h"
# include "TypeDef.h"
# include "LinkedList.h"
# include "IOUtils.h"
# include "VectorManip.h"
void ReadPsf(string PsfFile, vector<AtomStruct> &Atoms);
#endif
