/*
    JV Library
    Copyright (C) 2014  Jouko Juhani Virtanen

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef _ReadTrrBin_included_
#define _ReadTrrBin_included_

void readTrr(string TrrFile, int frame, ProteinStruct &Protein)
{
	char charTrrFile[1000], *title;
	int Int;
	float Float;
	double Double;
	cout <<"In readTrr"<<endl;
	strcpy(charTrrFile, TrrFile.c_str());
	ifstream file(charTrrFile, ios::in|ios::binary|ios::ate);
	if (file.is_open())
	{
		title=new char[1];
		file.seekg(ios::beg);
		for (int i=0;i<1000000;i++)
		{
			file.seekg(i);
			file.read(reinterpret_cast<char *>(&Int), sizeof(Int));
			file.seekg(i);
			file.read(reinterpret_cast<char *>(&Float), sizeof(Float));
			file.seekg(i);
			file.read(reinterpret_cast<char *>(&Double), sizeof(Double));
			file.seekg(i);
			file.read(title, 1);
			cout <<title[0]<<"\t"<<Int<<"\t"<<Float<<"\t"<<Double<<endl;
		}
	}
}

#endif
