#ifndef _SecondaryStructureAssignment_include_
#define _SecondaryStructureAssignment_include_
const int UNSTRUCTURED=0;
const int ALPHA_HELIX=1;
const int BETA_BRIDGE=2;
const int STRAND=3;
const int HELIX_3=4;
const int HELIX_5=5;
const int TURN=6;
const int BEND=7;
bool isResHBond(vector< vector<int> > &hbonds, int res, int dist);
bool isAntiparallelBridge(vector< vector<int> > &hbonds, int res);
bool isParallelBridge(vector< vector<int> > &hbonds, int res);
int getSecondaryStructure(vector< vector<int> > &hbonds, int res);
void assignSecondaryStructure(vector< vector<int> > &hbonds, vector<int> &secondaryStructure);
void findBends(ProteinStruct &Protein, vector<int> &secondaryStructure);
void assignSecondaryStructure(ProteinStruct &Protein, vector<int> &secondaryStructure);
void assignSecondaryStructure(HydrogenBondingStruct &hBonding, vector<int> &secondaryStructure);
void assignSecondaryStructure(ProteinStruct &Protein, HydrogenBondingStruct &hBonding, vector<int> &secondaryStructure);
#endif
