#ifndef _HydrogenBond_include_
#define _HydrogenBond_include_
Real calcHBondEnergy(ProteinStruct &Protein, int res1, int res2);
bool isHBond(ProteinStruct &Protein, int res1, int res2, Real cutoff);
void getNhoBonding(ProteinStruct &Protein, int res, int &nho1, int &nho2, Real &nho1Energy, Real &nho2Energy);
void getOhnBonding(ProteinStruct &Protein, int res, int &ohn1, int &ohn2, Real &ohn1Energy, Real &ohn2Energy);
void getHydrogenBonding(ProteinStruct &Protein, int res, int &nho1, int &ohn1, int &nho2, int &ohn2, Real &nho1Energy, Real &ohn1Energy, Real &nho2Energy, Real &ohn2Energy);
void findHydrogenBondingNetwork(ProteinStruct &Protein, HydrogenBondingStruct &hBonding);
void findHBonds(ProteinStruct &Protein, vector< vector<int> > &hbonds, Real cutoff);
void findHBonds(ProteinStruct &Protein, vector< vector<int> > &hbonds);
#endif
