/*
    JV Library
    Copyright (C) 2014  Jouko Juhani Virtanen

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef _LJPotential_include_
#define _LJPotential_include_
Real LJPotential(Real epsilon, Real VDWRadius, Real r);
Real LJPotential(AtomStruct &Atom1, AtomStruct &Atom2);
Real LJPotential(vector<AtomStruct> &Atoms);
Real LJPotential(vector<AtomStruct> &Atoms1, vector<AtomStruct> &Atoms2);
Real InvertLJPotential(Real epsilon, Real VDWRadius, Real energy);
#endif
