/*
    JV Library
    Copyright (C) 2014  Jouko Juhani Virtanen

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef _ReadGro_include_
#define _ReadGro_include_

# include "TypeDef.h"
# include "Structures.h"

void groLineToInfo(string line, int &residue, string &residueName, string &atomName, int &atomNum, Real &x, Real &y, Real &z);
void groLineToAtom(string line, AtomStruct &Atom);
void readGro(string GroFile, vector<AtomStruct> &Atoms);
#endif
